Gå til hovedinnhold

Fetch the encumbrances data of any property

GET 

/owners/encumbrances

Encumbrances Endpoint

Overview

This API fetches encumbrances ("heftelser") of a property or housing association unit based on a batch id, property id or housing association id.

It is also possible to filter by legal type code name or legal right type code name or a date range.

The API supports both single item retrieval and batch downloads.

If you want to maintain a local copy of this dataset, you can use the batch-id parameter to fetch the data in batches. Once the full dataset is fetched, you can use the change-id-start and change-id-end parameters to fetch only the new and updated data. Alternatively, you can use the updated-start-date and updated-end-date parameters to fetch new or updated data based on the document update date.

It returns data about encumbrances on a property or housing association unit. The data includes unique identifiers for the property and housing unit, legal right and type codes, document details (such as document number, year, and status), the associated amount, and whether any fees were paid.

Example Request

  • Request with legal-type-code-name
curl -X 'GET' \
'https://apis.propcloud.no/api/public/owners/encumbrances?legal-type-code-name=SERVITUTT' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Response Description

KeyDescriptionBeskrivelseSource
totalPagesThe total number of pages of response for this specific query.Totalt antall sider med respons for denne spesifikke forespørselen.PropCloud
batchIdUnique identifier for the batchUnik identifikator for batchenPropCloud
housingAssociationIdNmaUnique identifier for the housing association unit, formatted as organization number-share number, i.e. "924758716-4"Unik identifikator for borettslagsandelen, formatert som organisasjonsnummer-andelsnummer, i.e. "924758716-4"PropCloud
propertyIdNmaUnique identifier for the property, generated based on city number, ground number, and other details.Unik identifikator for eiendommen generert basert paa kommunenummer, gaardsnummer og andre detaljer.PropCloud
legalRightIdUnique identifier for the legal rightUnik identifikator for rettsstiftelsenKartverket
legalRightTypeIdCode value for the legal right typeIdentifikator for rettsstiftelsestypenKartverket
legalRightTypeCodeNameName of the legal right typeNavnet paa rettsstiftelsestypen, f.eks. "UTLEGGSFORRETNING"Kartverket
legalTypeIdCode value for the legal typeIdentifikator for rettstypenKartverket
legalTypeCodeNameName of the legal typeNavnet paa rettstypen, f.eks. "Tvangsforretning"Kartverket
documentIdUnique identifier for the documentUnik identifikator for dokumentetKartverket
documentNumberThe document numberDokumentnummeretKartverket
documentYearThe year the document was issuedAaret dokumentet ble opprettetKartverket
timestampThe exact datetime of when was the document was issuedDato og tidspunk dokumentet ble opprettetKartverket
documentStatusNameStatus of the documentDokumentstatus, f.eks. "Tinglyst"Kartverket
amountThe amount tied to the encumbranceHeftelsens belopKartverket
hasFeeWeather or not fees were paidHvorvidt heftelsen har gebyrKartverket
feeAmountThe fee amountGebyrets storrelseKartverket
changeTypeThis field indicates whether the document is a new entry or an updated entry, based on the LEGAL_RIGHT_ID. It helps differentiate between newly added documents and those that have been modified.Dette feltet indikerer om dokumentet er en ny oppføring eller en oppdatert oppføring, basert på LEGAL_RIGHT_ID. Det hjelper med å skille mellom nylig tilføyde dokumenter og de som har blitt modifisert.PropCloud
changeIdThis field represents the position of the document in the collection, essentially indicating it as the n-1th document.Dette feltet representerer posisjonen til dokumentet, og indikerer det som det n-te dokumentet.PropCloud
updatedOnThis timestamp field records the date and time when the data was uploaded to MongoDB.Dette tidsstempelfeltet registrerer datoen og klokkeslettet når dataene ble lastet opp til MongoDB.PropCloud
historicalBoolean value. "True" if there are more recent documents present for the object, "False" if this is the latest documents.Boolean-verdi. "True" hvis det finnes nyere dokumenter for objektet, "False" hvis dette er de nyeste dokumentene.Kartverket
maxChangeIdMaksimal change id ("endringsid") i dataen.Maksimal change id i samlingen.PropCloud

Request

Responses

Successful Response